<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrll="http://www.xbrl.org/2003/linkbase" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:us-gaap="http://xbrl.us/us-gaap/2008-03-31">
<xsl:template match="/">
<html>
<head>
<style type="text/css">/* Created By Fujitsu Instance Creator Reporting Module */

body { margin-top: 10px; padding: 5px; background-color: white; }
table.value { padding: 5px; margin: 5px; border-collapse: collapse; border-spacing: 0px; border: 0px none white; border-top: 2px solid black;  border-bottom: 2px solid black;  font-family: "Arial", "Verdana", "sans-serif"; margin-left:auto; margin-right:auto; }
table.footnote {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; }
table.otherinfo {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; border-spacing: 5px;}

tr.row1 { border: 0px none black; padding: 0px; margin:0px; background-color: white; border-bottom: 1px solid #e0e0e0;} 
tr.row2 { border: 0px none black; padding: 0px; margin:0px; background-color: #f0f0ff; border-bottom: 1px solid #e0e0e0;} 
tr.lastrow { border: 0px none black; padding: 0px; margin:0px; background-color: white; height: 8px;} 
caption.value { caption-side: top; }

th.indent { padding: 0px 0px 0px 2px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.label { padding: 0px 0px 0px 0px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.value { padding: 5px 0px 5px 0px; margin:0px; border-bottom: 1px solid black; border-left: 5px solid #ffffff; font-size: 13px; text-align: center; }
th.space { } 

td.indent { padding: 0px 0px 2px 0px; margin:0px; font-size: 12px; } 
td.label { padding: 3px 0px 1px 5px; margin:0px; font-size: 12px; text-align: left; } 
td.value { text-align: center;  margin: 0px; padding: 3px 0px 1px 2px; font-size: 12px; }
td.space { } 

div.main { text-align: center; }
div.header { text-align: center; }
div.nil { text-align: center; }
div.numeric { text-align: right; padding-right: 3px; }
div.nonnumeric { text-align: left; padding-left: 3px;  }
.calcerror { color: red; font-weight: bold; }

.topborder { border-top: 1px solid black; }
.bottomborder { border-bottom: 1px solid black; }

span.footnote { margin-right : 10px; }

a.link_value_footnote { }
a.link_footnote_value { }

td.footnote_no { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; text-align: right; width:30px;}
td.footnote_content { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px;}
td.footnote_link {  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px; }

td.otherinfo { color: #000070; border: 0px none black; padding: 1px 5px 1px 5px; margin: 1px 5px 1px 5px; vertical-align: top; font-size: 8pt;}

div.pagetitle { text-align: center; font-family: "Arial", "Verdana", "sans-serif"; font-size: 16pt; font-weight: bold; margin: 25px 5px 25px 5px; }
div.normal { border: 0px none black; padding: 0px; margin:0px; }
div.caption { border: 0px none black; padding: 0px; margin:0px; font-size: 12px; text-align: %CaptionAlign%; }
div.footnote_title { text-align: left; font-family: "Arial", "Verdana", "sans-serif"; font-size: 13pt; font-weight: bold; margin: 5px 5px 5px 5px; }
div.footer { font-family: "Arial", "Verdana", "sans-serif"; font-size: 10pt; text-align: right;}

</style>
</head>
<body>
<xsl:call-template name="table0"/>
</body>
</html>
</xsl:template>
<xsl:template name="getValueBorderClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">noborder</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueCellClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">emptyvalue</xsl:when>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">nil</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueString">
 <xsl:param name="nodeset"/>
 <xsl:param name="format"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0"/>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">
   <xsl:choose>
    <xsl:when test="$nodeset[1]/@id">
     <xsl:variable name="content">
      <xsl:call-template name="getFootnoteContent">
       <xsl:with-param name="id" select="$nodeset[1]/@id"/>
      </xsl:call-template>
     </xsl:variable>
     <xsl:choose>
      <xsl:when test="$content = ''">-</xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="$content"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:when>
    <xsl:otherwise>-</xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  
  <xsl:otherwise>
    <!-- <xsl:value-of select="$nodeset"/> -->
    <xsl:call-template name="forceNewlines">
      <xsl:with-param name="value" select="string($nodeset)"/>
    </xsl:call-template>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="forceNewlines">
	<xsl:param name="value"/>
	<xsl:variable name="tail" select="substring-after($value,'&#10;')"/>
	<xsl:choose>
		<xsl:when test="contains($value,'&#10;') and string-length($tail)&gt;0">
			<xsl:value-of select="substring-before($value,'&#10;')"/>
			<xsl:element name="br"/>
			<xsl:call-template name="forceNewlines">
				<xsl:with-param name="value" select="$tail"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$value"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="formatNumericValue">
 <xsl:param name="value"/>
 <xsl:param name="pattern"/>
 <xsl:param name="unit"/>

 <xsl:value-of select="format-number(number($value) div $unit, $pattern)"/>
</xsl:template>

<!-- footnote -->
<xsl:template name="insertFootnoteContents">
 <xsl:for-each select="/descendant::*[namespace-uri() != 'http://www.xbrl.org/2003/instance'][@id]">
  <xsl:call-template name="getFootnoteContent">
   <xsl:with-param name="id" select="string(@id)"/>
  </xsl:call-template>
 </xsl:for-each>
</xsl:template>

<xsl:template name="getFootnoteContent">
 <xsl:param name="id"/>
 <xsl:for-each select="/*/xbrll:footnoteLink/xbrll:footnote[@xml:lang = 'en-US'][@xlink:label = /*/xbrll:footnoteLink/xbrll:footnoteArc[@xlink:from = /*/xbrll:footnoteLink/xbrll:loc[@xlink:href = concat('#', $id)]/@xlink:label]/@xlink:to]">
  <div>
   <xsl:for-each select="./node()">
    <xsl:call-template name="copyXHTMLNode">
     <xsl:with-param name="node" select="."/>
    </xsl:call-template>
   </xsl:for-each>
  </div>
 </xsl:for-each>
</xsl:template>

<xsl:template name="copyXHTMLNode">
 <xsl:param name="node"/>
 <xsl:choose>
  <xsl:when test="$node/self::*">
   <xsl:element name="{local-name($node)}">
    <xsl:copy-of select="$node/@*"/>
    <xsl:for-each select="$node/node()">
     <xsl:call-template name="copyXHTMLNode">
      <xsl:with-param name="node" select="."/>
     </xsl:call-template>
    </xsl:for-each>
   </xsl:element>
  </xsl:when>
  <xsl:otherwise>
   <xsl:copy-of select="$node"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>
<xsl:template name="table0">
<div class="header">
<div class="pagetitle">
<div class="normal">Business Combination Disclosure [Text Block]</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 810.0px;">
<caption class="value"/>
<colgroup>
<col style="width : 100.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 700.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2007</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="1">Business Combination Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:BusinessCombinationDisclosureTextBlock[(@contextRef = 'D2007')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:BusinessCombinationDisclosureTextBlock[(@contextRef = 'D2007')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:BusinessCombinationDisclosureTextBlock[(@contextRef = 'D2007')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="label"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
<hr/>
<div class="footer">Thu May 01 21:49:04 EDT 2008, Generated by Fujitsu Instance Creator</div>
</xsl:template>
</xsl:stylesheet>
