<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrll="http://www.xbrl.org/2003/linkbase" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:us-gaap="http://xbrl.us/us-gaap/2008-03-31" xmlns:coke="http://xbrl.coke.com/2007">
<xsl:template match="/">
<html>
<head>
<style type="text/css">/* Created By Fujitsu Instance Creator Reporting Module */

body { margin-top: 10px; padding: 5px; background-color: white; }
table.value { padding: 5px; margin: 5px; border-collapse: collapse; border-spacing: 0px; border: 0px none white; border-top: 2px solid black;  border-bottom: 2px solid black;  font-family: "Arial", "Verdana", "sans-serif"; margin-left:auto; margin-right:auto; }
table.footnote {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; }
table.otherinfo {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; border-spacing: 5px;}

tr.row1 { border: 0px none black; padding: 0px; margin:0px; background-color: white; border-bottom: 1px solid #e0e0e0;} 
tr.row2 { border: 0px none black; padding: 0px; margin:0px; background-color: #f0f0ff; border-bottom: 1px solid #e0e0e0;} 
tr.lastrow { border: 0px none black; padding: 0px; margin:0px; background-color: white; height: 8px;} 
caption.value { caption-side: top; }

th.indent { padding: 0px 0px 0px 2px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.label { padding: 0px 0px 0px 0px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.value { padding: 5px 0px 5px 0px; margin:0px; border-bottom: 1px solid black; border-left: 5px solid #ffffff; font-size: 13px; text-align: center; }
th.space { } 

td.indent { padding: 0px 0px 2px 0px; margin:0px; font-size: 12px; } 
td.label { padding: 3px 0px 1px 5px; margin:0px; font-size: 12px; text-align: left; } 
td.value { text-align: center;  margin: 0px; padding: 3px 0px 1px 2px; font-size: 12px; }
td.space { } 

div.main { text-align: center; }
div.header { text-align: center; }
div.nil { text-align: center; }
div.numeric { text-align: right; padding-right: 3px; }
div.nonnumeric { text-align: left; padding-left: 3px;  }
.calcerror { color: red; font-weight: bold; }

.topborder { border-top: 1px solid black; }
.bottomborder { border-bottom: 1px solid black; }

span.footnote { margin-right : 10px; }

a.link_value_footnote { }
a.link_footnote_value { }

td.footnote_no { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; text-align: right; width:30px;}
td.footnote_content { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px;}
td.footnote_link {  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px; }

td.otherinfo { color: #000070; border: 0px none black; padding: 1px 5px 1px 5px; margin: 1px 5px 1px 5px; vertical-align: top; font-size: 8pt;}

div.pagetitle { text-align: center; font-family: "Arial", "Verdana", "sans-serif"; font-size: 16pt; font-weight: bold; margin: 25px 5px 25px 5px; }
div.normal { border: 0px none black; padding: 0px; margin:0px; }
div.caption { border: 0px none black; padding: 0px; margin:0px; font-size: 12px; text-align: left; }
div.footnote_title { text-align: left; font-family: "Arial", "Verdana", "sans-serif"; font-size: 13pt; font-weight: bold; margin: 5px 5px 5px 5px; }
div.footer { font-family: "Arial", "Verdana", "sans-serif"; font-size: 10pt; text-align: right;}

</style>
</head>
<body>
<xsl:call-template name="table0"/>
<hr/>
<xsl:call-template name="table1"/>
<hr/>
<xsl:call-template name="table2"/>
<hr/>
<xsl:call-template name="table3"/>
</body>
</html>
</xsl:template>
<xsl:template name="getValueBorderClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">noborder</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueCellClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">emptyvalue</xsl:when>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">nil</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueString">
 <xsl:param name="nodeset"/>
 <xsl:param name="format"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0"/>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">
   <xsl:choose>
    <xsl:when test="$nodeset[1]/@id">
     <xsl:variable name="content">
      <xsl:call-template name="getFootnoteContent">
       <xsl:with-param name="id" select="$nodeset[1]/@id"/>
      </xsl:call-template>
     </xsl:variable>
     <xsl:choose>
      <xsl:when test="$content = ''">-</xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="$content"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:when>
    <xsl:otherwise>-</xsl:otherwise>
   </xsl:choose>
  </xsl:when>
    <xsl:when test="$format = 'format1'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#,##0;(#,##0)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat1'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#,##0;(#,##0)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'format0'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#,##0;(#,##0)'"/>
    <xsl:with-param name="unit" select="1000000"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat0'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#,##0;(#,##0)'"/>
    <xsl:with-param name="unit" select="1000000"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'format2'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#0.00;(#0.00)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat2'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#0.00;(#0.00)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>

  <xsl:otherwise>
    <!-- <xsl:value-of select="$nodeset"/> -->
    <xsl:call-template name="forceNewlines">
      <xsl:with-param name="value" select="string($nodeset)"/>
    </xsl:call-template>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="forceNewlines">
	<xsl:param name="value"/>
	<xsl:variable name="tail" select="substring-after($value,'&#10;')"/>
	<xsl:choose>
		<xsl:when test="contains($value,'&#10;') and string-length($tail)&gt;0">
			<xsl:value-of select="substring-before($value,'&#10;')"/>
			<xsl:element name="br"/>
			<xsl:call-template name="forceNewlines">
				<xsl:with-param name="value" select="$tail"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$value"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="formatNumericValue">
 <xsl:param name="value"/>
 <xsl:param name="pattern"/>
 <xsl:param name="unit"/>

 <xsl:value-of select="format-number(number($value) div $unit, $pattern)"/>
</xsl:template>

<!-- footnote -->
<xsl:template name="insertFootnoteContents">
 <xsl:for-each select="/descendant::*[namespace-uri() != 'http://www.xbrl.org/2003/instance'][@id]">
  <xsl:call-template name="getFootnoteContent">
   <xsl:with-param name="id" select="string(@id)"/>
  </xsl:call-template>
 </xsl:for-each>
</xsl:template>

<xsl:template name="getFootnoteContent">
 <xsl:param name="id"/>
 <xsl:for-each select="/*/xbrll:footnoteLink/xbrll:footnote[@xml:lang = 'en-US'][@xlink:label = /*/xbrll:footnoteLink/xbrll:footnoteArc[@xlink:from = /*/xbrll:footnoteLink/xbrll:loc[@xlink:href = concat('#', $id)]/@xlink:label]/@xlink:to]">
  <div>
   <xsl:for-each select="./node()">
    <xsl:call-template name="copyXHTMLNode">
     <xsl:with-param name="node" select="."/>
    </xsl:call-template>
   </xsl:for-each>
  </div>
 </xsl:for-each>
</xsl:template>

<xsl:template name="copyXHTMLNode">
 <xsl:param name="node"/>
 <xsl:choose>
  <xsl:when test="$node/self::*">
   <xsl:element name="{local-name($node)}">
    <xsl:copy-of select="$node/@*"/>
    <xsl:for-each select="$node/node()">
     <xsl:call-template name="copyXHTMLNode">
      <xsl:with-param name="node" select="."/>
     </xsl:call-template>
    </xsl:for-each>
   </xsl:element>
  </xsl:when>
  <xsl:otherwise>
   <xsl:copy-of select="$node"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>
<xsl:template name="table0">
<div class="header">
<div class="pagetitle">
<div class="normal">001000 - Statement - Statement of Income - Coke</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 700.0px;">
<caption class="value">
<div class="caption">(In millions except per share data)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2004</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="3">Income Statement [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Revenues</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Revenues[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Cost of Revenue</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfRevenue[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Gross Profit</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GrossProfit[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Selling, General and Administrative Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Operating Costs and Expenses</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingCostsAndExpenses[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Operating Income (Loss)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OperatingIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Investment Income, Interest</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentIncomeInterest[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Interest Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Income (Loss) from Equity Method Investments</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Other Nonoperating Income (Expense)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNonoperatingIncomeExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Gain (Loss) on Sale of Previously Unissued Stock by Subsidiary or Equity Investee, Nonoperating Income</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'FY06']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'FY06']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'FY06']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Income before Income Taxes</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IncomeBeforeIncomeTaxes[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Income Tax Expense (Benefit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefit[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Net Income (Loss)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Average Shares Used in Computing Earnings Per Share [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Weighted Average Number of Shares Outstanding, Basic</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfSharesOutstandingBasic[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Incremental Common Shares Attributable to Share-based Payment Arrangements</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncrementalCommonSharesAttributableToShareBasedPaymentArrangements[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Weighted Average Number of Diluted Shares Outstanding</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY06') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY05') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:WeightedAverageNumberOfDilutedSharesOutstanding[(@contextRef = 'FY04') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Earnings Per Share [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Earnings Per Share, Basic</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY06') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY06') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY06') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY05') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY05') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY05') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY04') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY04') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'FY04') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Earnings Per Share, Diluted</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY06') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY06') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY06') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY05') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY05') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY05') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY04') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY04') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'FY04') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
</xsl:template>
<xsl:template name="table1">
<div class="header">
<div class="pagetitle">
<div class="normal">002000 - Statement - Statement of Financial Position - Coke</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 620.0px;">
<caption class="value">
<div class="caption">(In millions except par value)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="5">Statement of Financial Position [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="4">Assets [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Assets, Current [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Cash and Cash Equivalents, at Carrying Value</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Marketable Securities, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MarketableSecuritiesCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MarketableSecuritiesCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MarketableSecuritiesCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MarketableSecuritiesCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MarketableSecuritiesCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MarketableSecuritiesCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accounts Receivable, Net, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Allowance for Doubtful Accounts Receivable, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AllowanceForDoubtfulAccountsReceivableCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AllowanceForDoubtfulAccountsReceivableCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AllowanceForDoubtfulAccountsReceivableCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AllowanceForDoubtfulAccountsReceivableCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AllowanceForDoubtfulAccountsReceivableCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AllowanceForDoubtfulAccountsReceivableCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Inventory, Net</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Prepaid Expenses and Other Assets</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:PrepaidExpensesAndOtherAssets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:PrepaidExpensesAndOtherAssets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:PrepaidExpensesAndOtherAssets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:PrepaidExpensesAndOtherAssets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:PrepaidExpensesAndOtherAssets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:PrepaidExpensesAndOtherAssets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Assets, Current, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Investments in Affiliates, Subsidiaries, Associates, and Joint Ventures [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Equity Method Investments [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Equity Method Investment, Carrying Amount, Coca-Cola Enterprises Inc</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountCocaColaEnterprisesInc.[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountCocaColaEnterprisesInc.[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountCocaColaEnterprisesInc.[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountCocaColaEnterprisesInc.[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountCocaColaEnterprisesInc.[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountCocaColaEnterprisesInc.[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Equity Method Investment, Carrying Amount, Hellenic Bottling</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountHellenicBottling[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountHellenicBottling[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountHellenicBottling[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountHellenicBottling[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountHellenicBottling[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountHellenicBottling[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Equity Method Investment, Carrying Amount, FEMSA, SAB de CV</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountFEMSAS.A.B.DeC.V.[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountFEMSAS.A.B.DeC.V.[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountFEMSAS.A.B.DeC.V.[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountFEMSAS.A.B.DeC.V.[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountFEMSAS.A.B.DeC.V.[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountFEMSAS.A.B.DeC.V.[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Equity Method Investment, Carrying Amount, Amatil Limited</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountAmatilLimited[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountAmatilLimited[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountAmatilLimited[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountAmatilLimited[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountAmatilLimited[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountAmatilLimited[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Equity Method Investment, Carrying Amount, Other, Principally Bottling Companies</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountOtherPrincipallyBottlingCompanies[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountOtherPrincipallyBottlingCompanies[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountOtherPrincipallyBottlingCompanies[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountOtherPrincipallyBottlingCompanies[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountOtherPrincipallyBottlingCompanies[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:EquityMethodInvestmentCarryingAmountOtherPrincipallyBottlingCompanies[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Cost Method Investments</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostMethodInvestments[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostMethodInvestments[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostMethodInvestments[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostMethodInvestments[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostMethodInvestments[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostMethodInvestments[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Investments in Affiliates, Subsidiaries, Associates, and Joint Ventures, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Other Assets, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Property, Plant and Equipment, Net</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Indefinite-Lived Trademarks</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IndefiniteLivedTrademarks[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IndefiniteLivedTrademarks[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IndefiniteLivedTrademarks[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IndefiniteLivedTrademarks[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IndefiniteLivedTrademarks[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IndefiniteLivedTrademarks[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Goodwill</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Goodwill[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Goodwill[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Goodwill[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Goodwill[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Goodwill[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Goodwill[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Other Intangible Assets</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:OtherIntangibleAssets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:OtherIntangibleAssets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:OtherIntangibleAssets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:OtherIntangibleAssets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:OtherIntangibleAssets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:OtherIntangibleAssets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Assets, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="4">Liabilities and Stockholders' Equity [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Liabilities, Current [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accounts Payable and Accrued Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilities[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilities[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilities[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilities[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilities[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilities[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Short-term Borrowings</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermBorrowings[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermBorrowings[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermBorrowings[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermBorrowings[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermBorrowings[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermBorrowings[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Long-term Debt, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accrued Income Taxes Payable</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedIncomeTaxesPayable[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedIncomeTaxesPayable[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedIncomeTaxesPayable[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedIncomeTaxesPayable[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedIncomeTaxesPayable[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedIncomeTaxesPayable[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Liabilities, Current, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Long-term Debt, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Other Liabilities, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilitiesNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilitiesNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilitiesNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilitiesNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilitiesNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilitiesNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Deferred Tax Liabilities, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Stockholders' Equity [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Common Stock, Value</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Common Stock, Par or Stated Value Per Share</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'FY06e') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'FY06e') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'FY06e') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'FY05e') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'FY05e') and (@unitRef = 'USDperShare')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'FY05e') and (@unitRef = 'USDperShare')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Common Stock, Shares Authorized</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Common Stock, Shares, Issued</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesIssued[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesIssued[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesIssued[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesIssued[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesIssued[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesIssued[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Additional Paid in Capital, Common Stock</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapitalCommonStock[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapitalCommonStock[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapitalCommonStock[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapitalCommonStock[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapitalCommonStock[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapitalCommonStock[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Retained Earnings (Accumulated Deficit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accumulated Other Comprehensive Income (Loss), Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Treasury Stock, Value (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Treasury Stock, Method of Accounting</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:TreasuryStockMethodOfAccounting[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:TreasuryStockMethodOfAccounting[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:TreasuryStockMethodOfAccounting[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:TreasuryStockMethodOfAccounting[(@contextRef = 'FY05')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:TreasuryStockMethodOfAccounting[(@contextRef = 'FY05')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:TreasuryStockMethodOfAccounting[(@contextRef = 'FY05')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Treasury Stock, Shares</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'FY06e') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'FY05e') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Stockholders' Equity, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Liabilities and Stockholders' Equity, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
</xsl:template>
<xsl:template name="table2">
<div class="header">
<div class="pagetitle">
<div class="normal">003000 - Statement - Statement of Cash Flows - Coke</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 700.0px;">
<caption class="value">
<div class="caption">(In millions) </div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2004</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="3">Statement of Cash Flows [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Net Cash Provided by (Used in) Operating Activities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Net Income (Loss)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Depreciation and Amortization</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Share-based Compensation</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShareBasedCompensation[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Deferred Income Taxes</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInDeferredIncomeTaxes[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Equity Income or Loss, Net of Dividends (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Foreign Currency Adjustments (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ForeignCurrencyTransactionGainLossUnrealized[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Gains on Issuances of Stock by Equity Investee (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'FY06']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'FY06']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'FY06']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Gains on Sales of  Assets, Including Bottling Interests (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfOtherAssets[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Noncash Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Adjustments for Noncash Items Included in Income (Loss) from Continuing Operations</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAdjustmentsForNoncashItemsIncludedInIncomeLossFromContinuingOperations[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Net Change in Operating Assets and Liabilities (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOperatingCapital[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Net Cash Provided by (Used in) Operating Activities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Net Cash Provided by (Used in) Investing Activities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Payments to Acquire Intangible Assets (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireIntangibleAssets[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Payments to Acquire Other Investments (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireOtherInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Proceeds from Sale and Maturity of Other Investments</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleAndMaturityOfOtherInvestments[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Payments to Acquire Property, Plant, and Equipment (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Proceeds from Sale of Property, Plant, and Equipment</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfPropertyPlantAndEquipment[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Proceeds from (Payments for) Other Investing Activities (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForProceedsFromOtherInvestingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Net Cash Provided by (Used in) Investing Activities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Net Cash Provided by (Used in) Financing Activities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Proceeds from Issuance of Debt</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ProceedsFromIssuanceOfDebt[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Payments of Debt (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:RepaymentsOfDebt[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Proceeds from Issuance of Common Stock</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Payments for Repurchase of Common Stock (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Payments of Dividends (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Net Cash Provided by (Used in) Financing Activities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="2">Effect of Exchange Rate on Cash and Cash Equivalents</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EffectOfExchangeRateOnCashAndCashEquivalents[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="2">Cash and Cash Equivalents, at Carrying Value [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Cash and Cash Equivalents, Period Increase (Decrease)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY06') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY05') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'FY04') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Cash and Cash Equivalents, at Carrying Value, Beginning Balance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY04e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY04e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY04e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY03e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY03e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY03e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Cash and Cash Equivalents, at Carrying Value, Ending Balance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY06e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY05e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY04e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY04e') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'FY04e') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
</xsl:template>
<xsl:template name="table3">
<div class="header">
<div class="pagetitle">
<div class="normal">006000 - Disclosure - Notes to Consolidated Financial Statements - Coke</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 830.0px;">
<caption class="value">
<div class="caption">(In millions except per share data)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 100.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 700.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="2">Notes to Consolidated Financial Statements [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Organization, Consolidation and Presentation of Financial Statements Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Significant Accounting Policies and New Accounting Pronouncements [TextBlock]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:SignificantAccountingPoliciesAndNewAccountingPronouncementsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:SignificantAccountingPoliciesAndNewAccountingPronouncementsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:SignificantAccountingPoliciesAndNewAccountingPronouncementsTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Inventory Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Bottling Equity Method Investments [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EquityMethodInvestmentsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EquityMethodInvestmentsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EquityMethodInvestmentsTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Issuance of Stock by Equity Method Investees [TextBlock]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IssuanceOfStockByEquityMethodInvesteesTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IssuanceOfStockByEquityMethodInvesteesTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:IssuanceOfStockByEquityMethodInvesteesTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Property, Plant and Equipment Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Goodwill, Trademarks, and Other Intangible Assets Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GoodwillAndIntangibleAssetsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GoodwillAndIntangibleAssetsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GoodwillAndIntangibleAssetsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Accounts Payable and Accrued Liabilities Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilitiesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilitiesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayableAndAccruedLiabilitiesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Debt Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DebtDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DebtDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DebtDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Comprehensive Income Note [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNoteTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNoteTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNoteTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Financial Statements [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Derivative Instruments and Hedging Activities Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DerivativeInstrumentsAndHedgingActivitiesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DerivativeInstrumentsAndHedgingActivitiesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DerivativeInstrumentsAndHedgingActivitiesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Commitments and Contingencies Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommitmentsAndContingenciesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommitmentsAndContingenciesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommitmentsAndContingenciesDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Change in Operating Assets and Liabilities, Net [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ChangeInOperatingAssetsAndLiabilitiesNetTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ChangeInOperatingAssetsAndLiabilitiesNetTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:ChangeInOperatingAssetsAndLiabilitiesNetTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Disclosure of Compensation Related Costs, Share-based Payments [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Pension and Other Postretirement Benefits Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PensionAndOtherPostretirementBenefitsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PensionAndOtherPostretirementBenefitsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PensionAndOtherPostretirementBenefitsDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Income Tax Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Significant Operating and Nonoperating Items [TextBlock]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:SignificantOperatingAndNonoperatingItemsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:SignificantOperatingAndNonoperatingItemsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/coke:SignificantOperatingAndNonoperatingItemsTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Acquisitions and Investments [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:BusinessCombinationDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:BusinessCombinationDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:BusinessCombinationDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Segment Reporting Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SegmentReportingDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SegmentReportingDisclosureTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SegmentReportingDisclosureTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Schedule of Subsequent Events [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfSubsequentEventsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfSubsequentEventsTextBlock[(@contextRef = 'FY06')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfSubsequentEventsTextBlock[(@contextRef = 'FY06')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
<hr/>
<div class="footer">Thu May 01 13:31:59 EDT 2008, Generated by Fujitsu Instance Creator</div>
</xsl:template>
</xsl:stylesheet>
