<?xml version="1.0"?>
<!-- (c) 2008 XBRL US Inc. All Rights Reserved. http://xbrl.us/ 
     This document may be copied and furnished to others, and derivative works that 
     comment on or otherwise explain it or assist in its implementation may be 
     prepared, copied, published and distributed, in whole or in part, without 
     restriction of any kind, provided that the above copyright notice and this
     paragraph are included on all such copies and derivative works.  XBRL is a
     registered trademark of AICPA licensed exclusively to XBRL International. -->
<xsl:stylesheet version="1.0" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrll="http://www.xbrl.org/2003/linkbase" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:us-gaap="http://xbrl.us/us-gaap/2008-03-31" xmlns:oxy="http://xbrl.OXY.com/2006">
<xsl:template match="/">
<html>
<head>
<style type="text/css">/* Created By Fujitsu Instance Creator Reporting Module */

body { margin-top: 10px; padding: 5px; background-color: white; }
table.value { padding: 5px; margin: 5px; border-collapse: collapse; border-spacing: 0px; border: 0px none white; border-top: 2px solid black;  border-bottom: 2px solid black;  font-family: "Arial", "Verdana", "sans-serif"; margin-left:auto; margin-right:auto; }
table.footnote {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; }
table.otherinfo {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; border-spacing: 5px;}

tr.row1 { border: 0px none black; padding: 0px; margin:0px; background-color: white; border-bottom: 1px solid #e0e0e0;} 
tr.row2 { border: 0px none black; padding: 0px; margin:0px; background-color: #f0f0ff; border-bottom: 1px solid #e0e0e0;} 
tr.lastrow { border: 0px none black; padding: 0px; margin:0px; background-color: white; height: 8px;} 
caption.value { caption-side: top; }

th.indent { padding: 0px 0px 0px 2px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.label { padding: 0px 0px 0px 0px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.value { padding: 5px 0px 5px 0px; margin:0px; border-bottom: 1px solid black; border-left: 5px solid #ffffff; font-size: 13px; text-align: center; }
th.space { } 

td.indent { padding: 0px 0px 2px 0px; margin:0px; font-size: 12px; } 
td.label { padding: 3px 0px 1px 5px; margin:0px; font-size: 12px; text-align: left; } 
td.value { text-align: center;  margin: 0px; padding: 3px 0px 1px 2px; font-size: 12px; }
td.space { } 

div.main { text-align: center; }
div.header { text-align: center; }
div.nil { text-align: center; }
div.numeric { text-align: right; padding-right: 3px; }
div.nonnumeric { text-align: left; padding-left: 3px;  }
.calcerror { color: red; font-weight: bold; }

.topborder { border-top: 1px solid black; }
.bottomborder { border-bottom: 1px solid black; }

span.footnote { margin-right : 10px; }

a.link_value_footnote { }
a.link_footnote_value { }

td.footnote_no { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; text-align: right; width:30px;}
td.footnote_content { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px;}
td.footnote_link {  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px; }

td.otherinfo { color: #000070; border: 0px none black; padding: 1px 5px 1px 5px; margin: 1px 5px 1px 5px; vertical-align: top; font-size: 8pt;}

div.pagetitle { text-align: center; font-family: "Arial", "Verdana", "sans-serif"; font-size: 16pt; font-weight: bold; margin: 25px 5px 25px 5px; }
div.normal { border: 0px none black; padding: 0px; margin:0px; }
div.caption { border: 0px none black; padding: 0px; margin:0px; font-size: 12px; text-align: left; }
div.footnote_title { text-align: left; font-family: "Arial", "Verdana", "sans-serif"; font-size: 13pt; font-weight: bold; margin: 5px 5px 5px 5px; }
div.footer { font-family: "Arial", "Verdana", "sans-serif"; font-size: 10pt; text-align: right;}

</style>
</head>
<body>
<xsl:call-template name="table0"/>
<hr/>
<xsl:call-template name="table1"/>
<hr/>
<xsl:call-template name="table2"/>
<hr/>
<xsl:call-template name="table3"/>
<hr/>
<xsl:call-template name="table4"/>
</body>
</html>
</xsl:template>
<xsl:template name="getValueBorderClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">noborder</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueCellClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">emptyvalue</xsl:when>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">nil</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueString">
 <xsl:param name="nodeset"/>
 <xsl:param name="format"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0"/>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">
   <xsl:choose>
    <xsl:when test="$nodeset[1]/@id">
     <xsl:variable name="content">
      <xsl:call-template name="getFootnoteContent">
       <xsl:with-param name="id" select="$nodeset[1]/@id"/>
      </xsl:call-template>
     </xsl:variable>
     <xsl:choose>
      <xsl:when test="$content = ''">-</xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="$content"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:when>
    <xsl:otherwise>-</xsl:otherwise>
   </xsl:choose>
  </xsl:when>
    <xsl:when test="$format = 'format0'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#,##0.####;(#,##0.####)'"/>
    <xsl:with-param name="unit" select="1000000"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat0'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#,##0.####;(#,##0.####)'"/>
    <xsl:with-param name="unit" select="1000000"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'format2'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#,##0;(#,##0)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat2'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#,##0;(#,##0)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'format1'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#0.0000;(#0.0000)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat1'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#0.0000;(#0.0000)'"/>
    <xsl:with-param name="unit" select="1"/>
   </xsl:call-template>
  </xsl:when>

  <xsl:otherwise>
    <!-- <xsl:value-of select="$nodeset"/> -->
    <xsl:call-template name="forceNewlines">
      <xsl:with-param name="value" select="string($nodeset)"/>
    </xsl:call-template>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="forceNewlines">
	<xsl:param name="value"/>
	<xsl:variable name="tail" select="substring-after($value,'&#10;')"/>
	<xsl:choose>
		<xsl:when test="contains($value,'&#10;') and string-length($tail)&gt;0">
			<xsl:value-of select="substring-before($value,'&#10;')"/>
			<xsl:element name="br"/>
			<xsl:call-template name="forceNewlines">
				<xsl:with-param name="value" select="$tail"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$value"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="formatNumericValue">
 <xsl:param name="value"/>
 <xsl:param name="pattern"/>
 <xsl:param name="unit"/>

 <xsl:value-of select="format-number(number($value) div $unit, $pattern)"/>
</xsl:template>

<!-- footnote -->
<xsl:template name="insertFootnoteContents">
 <xsl:for-each select="/descendant::*[namespace-uri() != 'http://www.xbrl.org/2003/instance'][@id]">
  <xsl:call-template name="getFootnoteContent">
   <xsl:with-param name="id" select="string(@id)"/>
  </xsl:call-template>
 </xsl:for-each>
</xsl:template>

<xsl:template name="getFootnoteContent">
 <xsl:param name="id"/>
 <xsl:for-each select="/*/xbrll:footnoteLink/xbrll:footnote[@xml:lang = 'en-US'][@xlink:label = /*/xbrll:footnoteLink/xbrll:footnoteArc[@xlink:from = /*/xbrll:footnoteLink/xbrll:loc[@xlink:href = concat('#', $id)]/@xlink:label]/@xlink:to]">
  <div>
   <xsl:for-each select="./node()">
    <xsl:call-template name="copyXHTMLNode">
     <xsl:with-param name="node" select="."/>
    </xsl:call-template>
   </xsl:for-each>
  </div>
 </xsl:for-each>
</xsl:template>

<xsl:template name="copyXHTMLNode">
 <xsl:param name="node"/>
 <xsl:choose>
  <xsl:when test="$node/self::*">
   <xsl:element name="{local-name($node)}">
    <xsl:copy-of select="$node/@*"/>
    <xsl:for-each select="$node/node()">
     <xsl:call-template name="copyXHTMLNode">
      <xsl:with-param name="node" select="."/>
     </xsl:call-template>
    </xsl:for-each>
   </xsl:element>
  </xsl:when>
  <xsl:otherwise>
   <xsl:copy-of select="$node"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>
<xsl:template name="table0">
<div class="header">
<div class="pagetitle">
<div class="normal">000010 - Statement - Income Statement - OXY</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 780.0px;">
<caption class="value">
<div class="caption">(In millions, except per-share amounts)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2004</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="7">Income Statement [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="6">Net Income (Loss) [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income (Loss) from Continuing Operations [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Continuing Operations before Income Taxes, Minority Interest, and Income (Loss) from Equity Method Investments [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Revenues, Operating and Nonoperating [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Sales Revenue, Goods, Net</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SalesRevenueGoodsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Nonoperating Income (Expense)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NonoperatingIncomeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Gain (Loss) on Disposition of Assets</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnDispositionOfAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Revenues, Operating and Nonoperating, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:RevenuesOperatingAndNonoperating[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Costs and Other Deductions [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Cost of Goods Sold, Oil and Gas</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldOilAndGas[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">(Depreciation and Amortization Excluded from Cost of Goods Sold)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CostOfGoodsSoldDepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Selling, General and Administrative Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SellingGeneralAndAdministrativeExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Depreciation, Depletion, and Amortization</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Environmental Remediation Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalRemediationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Exploration Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExplorationExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Interest and Debt Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InterestAndDebtExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Costs and Other Deductions, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CostsAndOtherDeductions[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Income (Loss) from Continuing Operations before Income Taxes, Minority Interest, and Income (Loss) from Equity Method Investments, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Current Income Tax Expense (Benefit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentIncomeTaxExpenseBenefit[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Minority Interest in Net Income (Loss) of Consolidated Entities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterestInNetIncomeLossOfConsolidatedEntities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Equity Method Investment (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Gain on Lyondell Stock Issuance (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Continuing Operations, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income (Loss) from Discontinued Operations, Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Cumulative Effect of Change in Accounting Principle Presented on Income Statement, Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Net Income (Loss), Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="6">Earnings Per Share [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Earnings Per Share, Basic [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Continuing Operations, Per Basic Share</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Discontinued Operations, Net of Tax, Per Basic Share</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerBasicShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Earnings Per Share, Basic, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareBasic[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Earnings Per Share, Diluted [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Continuing Operations, Per Diluted Share</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromContinuingOperationsPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income (Loss) from Discontinued Operations, Net of Tax, Per Diluted Share</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTaxPerDilutedShare[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Earnings Per Share, Diluted, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EarningsPerShareDiluted[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Common Stock, Dividends, Per Share, Declared</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockDividendsPerShareDeclared[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
</xsl:template>
<xsl:template name="table1">
<div class="header">
<div class="pagetitle">
<div class="normal">000020 - Statement - Statement of Financial Position - OXY</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 620.0px;">
<caption class="value">
<div class="caption">(In millions, except share and per-share amounts)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="5">Statement of Financial Position [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="4">Assets [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Assets, Current [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Cash and Cash Equivalents, at Carrying Value</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Short-term Investments</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermInvestments[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermInvestments[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermInvestments[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermInvestments[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermInvestments[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ShortTermInvestments[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accounts Receivable, Net, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsReceivableNetCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Due from Related Parties, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DueFromRelatedPartiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DueFromRelatedPartiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DueFromRelatedPartiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DueFromRelatedPartiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DueFromRelatedPartiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DueFromRelatedPartiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Inventory, Net</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryNet[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Prepaid Expenses and Other Assets, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:PrepaidExpensesAndOther[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:PrepaidExpensesAndOther[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:PrepaidExpensesAndOther[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:PrepaidExpensesAndOther[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:PrepaidExpensesAndOther[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:PrepaidExpensesAndOther[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Assets of Disposal Group, Including Discontinued Operation, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Assets, Current, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AssetsCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Long-term Accounts, Notes and Loans Receivable, Net, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermAccountsNotesAndLoansReceivableNetNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermAccountsNotesAndLoansReceivableNetNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermAccountsNotesAndLoansReceivableNetNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermAccountsNotesAndLoansReceivableNetNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermAccountsNotesAndLoansReceivableNetNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermAccountsNotesAndLoansReceivableNetNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Investments in Affiliates, Subsidiaries, Associates, and Joint Ventures</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InvestmentsInAffiliatesSubsidiariesAssociatesAndJointVentures[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Property, Plant and Equipment, Net [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Property, Plant and Equipment, Gross [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Oil and Gas Segment, Successful Efforts Method</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:OilAndGasSegmentSuccessfulEffortsMethod[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:OilAndGasSegmentSuccessfulEffortsMethod[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:OilAndGasSegmentSuccessfulEffortsMethod[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:OilAndGasSegmentSuccessfulEffortsMethod[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:OilAndGasSegmentSuccessfulEffortsMethod[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:OilAndGasSegmentSuccessfulEffortsMethod[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Chemical Segment</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ChemicalSegment[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ChemicalSegment[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ChemicalSegment[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ChemicalSegment[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ChemicalSegment[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ChemicalSegment[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Corporate and Other</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CorporateAndOther[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CorporateAndOther[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CorporateAndOther[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CorporateAndOther[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CorporateAndOther[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:CorporateAndOther[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Property, Plant and Equipment, Gross, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentGross[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentGross[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentGross[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentGross[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentGross[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentGross[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accumulated Depreciation, Depletion and Amortization, Property, Plant, and Equipment (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Property, Plant and Equipment, Net, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PropertyPlantAndEquipmentNet[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Other Assets, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherAssetsNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Assets, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:Assets[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="4">Liabilities and Stockholders' Equity [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Liabilities, Current [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Long-term Debt and Capital Lease Obligations, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligationsCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligationsCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligationsCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligationsCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligationsCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligationsCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accounts Payable</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccountsPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accrued Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedLiabilities[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedLiabilities[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedLiabilities[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedLiabilities[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedLiabilities[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccruedLiabilities[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Dividends Payable</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DividendsPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DividendsPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DividendsPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DividendsPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DividendsPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DividendsPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Taxes Payable</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TaxesPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TaxesPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TaxesPayable[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TaxesPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TaxesPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TaxesPayable[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Liabilities of Disposal Group, Including Discontinued Operation, Current</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Liabilities, Current, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesCurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Long-term Debt and Capital Lease Obligations</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligations[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligations[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligations[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligations[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligations[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LongTermDebtAndCapitalLeaseObligations[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Deferred Credits and Other Liabilities, Noncurrent [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Deferred Tax Liabilities, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Liabilities of Disposal Group, Including Discontinued Operation, Noncurrent</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationNoncurrent[@contextRef = 'BalanceAsOf_31Dec2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationNoncurrent[@contextRef = 'BalanceAsOf_31Dec2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesOfDisposalGroupIncludingDiscontinuedOperationNoncurrent[@contextRef = 'BalanceAsOf_31Dec2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Other Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilities[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilities[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilities[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilities[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilities[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherLiabilities[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Deferred Credits and Other Liabilities, Noncurrent, Total </td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:DeferredCreditsAndOtherLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:DeferredCreditsAndOtherLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:DeferredCreditsAndOtherLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:DeferredCreditsAndOtherLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:DeferredCreditsAndOtherLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:DeferredCreditsAndOtherLiabilitiesNoncurrent[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Minority Interest</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterest[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterest[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterest[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterest[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterest[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:MinorityInterest[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Stockholders' Equity [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Common Stock, Value</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Common Stock, Par or Stated Value Per Share</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USDEPS')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockParOrStatedValuePerShare[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USDEPS')]"/>
  <xsl:with-param name="format" select="'format1'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Common Stock, Shares Authorized</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesAuthorized[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Common Stock, Shares, Outstanding</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesOutstanding[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesOutstanding[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesOutstanding[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesOutstanding[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesOutstanding[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommonStockSharesOutstanding[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Treasury Stock, Value (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Treasury Stock, Shares</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:TreasuryStockShares[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'Shares')]"/>
  <xsl:with-param name="format" select="'format2'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Additional Paid in Capital</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapital[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapital[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapital[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapital[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapital[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AdditionalPaidInCapital[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Retained Earnings (Accumulated Deficit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RetainedEarningsAccumulatedDeficit[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Accumulated Other Comprehensive Income (Loss), Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:AccumulatedOtherComprehensiveIncomeLossNetOfTax[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Stockholders' Equity, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:StockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Liabilities and Stockholders' Equity, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:LiabilitiesAndStockholdersEquity[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
</xsl:template>
<xsl:template name="table2">
<div class="header">
<div class="pagetitle">
<div class="normal">000040 - Statement - Statement of Comprehensive Income - OXY</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 720.0px;">
<caption class="value">
<div class="caption">(In millions) </div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2004</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="4">Statement of Income and Comprehensive Income [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="3">Comprehensive Income, Net of Tax [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Net Income (Loss)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Other Comprehensive Income (Loss), Net of Tax, Period Increase (Decrease) [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Comprehensive Income, Foreign Currency Transaction and Translation Gain (Loss) Arising During Period, Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote0_7680667"/>
<a class="link_value_footnote" href="#footnote22709712_0">
<sup>*1</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote0_5071738"/>
<a class="link_value_footnote" href="#footnote22709712_0">
<sup>*1</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationGainLossArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote0_12445951"/>
<a class="link_value_footnote" href="#footnote22709712_0">
<sup>*1</sup>
</a>
</span>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Comprehensive Income, Unrealized Gain (Loss) on Derivatives Arising During Period, Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote1_782596"/>
<a class="link_value_footnote" href="#footnote22709712_1">
<sup>*2</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote1_33322772"/>
<a class="link_value_footnote" href="#footnote22709712_1">
<sup>*2</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedGainLossOnDerivativesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote1_32363123"/>
<a class="link_value_footnote" href="#footnote22709712_1">
<sup>*2</sup>
</a>
</span>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Application of Recognition Provisions of SFAS 158, Effect on Accumulated Other Comprehensive Income, Net of Tax (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote2_9681288"/>
<a class="link_value_footnote" href="#footnote22709712_2">
<sup>*3</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ApplicationOfRecognitionProvisionsOfSFAS158EffectOnAccumulatedOtherComprehensiveIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Comprehensive Income, Minimum Pension Liability Net Adjustment, Net of Tax (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeMinimumPensionLiabilityNetAdjustmentNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Comprehensive Income, Reclassification of Realized Gains (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote3_20074475"/>
<a class="link_value_footnote" href="#footnote22709712_3">
<sup>*4</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote3_1900589"/>
<a class="link_value_footnote" href="#footnote22709712_3">
<sup>*4</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeReclassificationAdjustmentForSaleOfSecuritiesIncludedInNetIncomeNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Comprehensive Income, Unrealized Holding Gain (Loss) on Securities Arising During Period, Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote4_32950787"/>
<a class="link_value_footnote" href="#footnote22709712_4">
<sup>*5</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote4_21542405"/>
<a class="link_value_footnote" href="#footnote22709712_4">
<sup>*5</sup>
</a>
</span>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringPeriodNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
<span class="footnote">
<a name="footnote4_10894167"/>
<a class="link_value_footnote" href="#footnote22709712_4">
<sup>*5</sup>
</a>
</span>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Comprehensive Income (Loss), Net of Tax, Period Increase (Decrease), Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherComprehensiveIncomeLossNetOfTaxPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Comprehensive Income, Net of Tax, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ComprehensiveIncomeNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
<div class="footnote_title">Footnotes:</div>
<table class="footnote">
<tr>
<td class="footnote_no">
<a name="footnote22709712_0" class="link_footnote_value link_footnote_value link_footnote_value"/>*1</td>
<td class="footnote_content">Net of tax of $0, $13,000,000 and $1,000,000 in 2006, 2005 and 2004, respectively.</td>
</tr>
<tr>
<td>
<br/>
</td>
<td class="footnote_link">(Link to: <a href="#footnote0_7680667">Other Comprehensive Income, Foreign Currency Transaction and Translation Gain (Loss) Arising During Period, Net of Tax</a>, <a href="#footnote0_5071738">Other Comprehensive Income, Foreign Currency Transaction and Translation Gain (Loss) Arising During Period, Net of Tax</a>, <a href="#footnote0_12445951">Other Comprehensive Income, Foreign Currency Transaction and Translation Gain (Loss) Arising During Period, Net of Tax</a>)</td>
</tr>
<tr>
<td class="footnote_no">
<a name="footnote22709712_1" class="link_footnote_value link_footnote_value link_footnote_value"/>*2</td>
<td class="footnote_content">Net of tax of $50,000,000, $13,000,000 and $1,000,000 in 2006, 2005 and 2004, respectively.</td>
</tr>
<tr>
<td>
<br/>
</td>
<td class="footnote_link">(Link to: <a href="#footnote1_782596">Other Comprehensive Income, Unrealized Gain (Loss) on Derivatives Arising During Period, Net of Tax</a>, <a href="#footnote1_33322772">Other Comprehensive Income, Unrealized Gain (Loss) on Derivatives Arising During Period, Net of Tax</a>, <a href="#footnote1_32363123">Other Comprehensive Income, Unrealized Gain (Loss) on Derivatives Arising During Period, Net of Tax</a>)</td>
</tr>
<tr>
<td class="footnote_no">
<a name="footnote22709712_2" class="link_footnote_value"/>*3</td>
<td class="footnote_content">Net of tax of $104,000,000 in 2006. See Note 13 for further information.</td>
</tr>
<tr>
<td>
<br/>
</td>
<td class="footnote_link">(Link to: <a href="#footnote2_9681288">Application of Recognition Provisions of SFAS 158, Effect on Accumulated Other Comprehensive Income, Net of Tax</a>)</td>
</tr>
<tr>
<td class="footnote_no">
<a name="footnote22709712_3" class="link_footnote_value link_footnote_value"/>*4</td>
<td class="footnote_content">Net of tax of $34,000,000 and $264,000,000 in 2006 and 2005, respectively. Amounts represent the recognition of the 2006 gain on the partial sale of Lyondell shares and the 2005 gain due to Valero Energy Corporation's acquisition of Premcor, Inc. and the subsequent sale of the Valero shares.</td>
</tr>
<tr>
<td>
<br/>
</td>
<td class="footnote_link">(Link to: <a href="#footnote3_20074475">Other Comprehensive Income, Reclassification Adjustment for Sale of Securities Included in Net Income, Net of Tax</a>, <a href="#footnote3_1900589">Other Comprehensive Income, Reclassification Adjustment for Sale of Securities Included in Net Income, Net of Tax</a>)</td>
</tr>
<tr>
<td class="footnote_no">
<a name="footnote22709712_4" class="link_footnote_value link_footnote_value link_footnote_value"/>*5</td>
<td class="footnote_content">Net of tax of $102,000,000, $165,000,000 and $51,000,000 in 2006, 2005 and 2004, respectively.</td>
</tr>
<tr>
<td>
<br/>
</td>
<td class="footnote_link">(Link to: <a href="#footnote4_32950787">Other Comprehensive Income, Unrealized Holding Gain (Loss) on Securities Arising During Period, Net of Tax</a>, <a href="#footnote4_21542405">Other Comprehensive Income, Unrealized Holding Gain (Loss) on Securities Arising During Period, Net of Tax</a>, <a href="#footnote4_10894167">Other Comprehensive Income, Unrealized Holding Gain (Loss) on Securities Arising During Period, Net of Tax</a>)</td>
</tr>
</table>
</xsl:template>
<xsl:template name="table3">
<div class="header">
<div class="pagetitle">
<div class="normal">000050 - Statement - Statement of Cash Flows - OXY</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 760.0px;">
<caption class="value">
<div class="caption">(In millions) </div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 300.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 110.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2004</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="6">Statement of Cash Flows [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="5">Cash and Cash Equivalents, Period Increase (Decrease) [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Net Cash Provided by (Used in) Operating Activities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Net Cash Provided by (Used in) Operating Activities, Continuing Operations [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Net Income (Loss)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetIncomeLoss[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Adjustments to Reconcile Income (Loss) to Net Cash Provided by (Used in) Continuing Operations [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">(Income) Loss from Discontinued Operations, Net of Tax (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromDiscontinuedOperationsNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Cumulative Effect of Change in Accounting Principle Presented on Income Statement, Net of Tax</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CumulativeEffectOfChangeInAccountingPrinciplePresentedOnIncomeStatementNetOfTax[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Depreciation, Depletion, and Amortization</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DepreciationAndAmortization[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Reversal of Tax Reserves</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:ReversalOfTaxReserves[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Deferred Income Taxes and Tax Credits</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxesAndTaxCredits[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Other Noncash Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OtherNoncashExpense[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Gains on Disposition of Assets, Net (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:GainsOnDispositionOfAssetsNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">(Income) Loss from Equity Method Investments (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeLossFromEquityMethodInvestmentsNetOfDividendsOrDistributions[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Gain on Lyondell Stock Issuance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:GainLossOnSaleOfPreviouslyUnissuedStockBySubsidiaryOrEquityInvesteeNonoperatingIncome[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Impairment of Oil and Gas Properties</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ImpairmentOfOilAndGasProperties[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Increase (Decrease) in Operating Capital [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Increase (Decrease) in Accounts and Notes Receivable</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsAndNotesReceivable[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Increase (Decrease) in Inventories</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInInventories[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Increase (Decrease) in Prepaid, Deferred Expense and Other Assets</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Increase (Decrease) in Accounts Payable and Accrued Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccountsPayableAndAccruedLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Increase (Decrease) in Accrued Income Taxes Payable</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInAccruedIncomeTaxesPayable[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Increase (Decrease) in Other Operating Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncreaseDecreaseInOtherOperatingLiabilities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Net Cash Provided by (Used in) Operating Activities, Continuing Operations, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Cash Provided by (Used in) Operating Activities, Discontinued Operations</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInOperatingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Net Cash Provided by (Used in) Operating Activities, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInOperatingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Net Cash Provided by (Used in) Investing Activities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Net Cash Provided by (Used in) Investing Activities, Continuing Operations [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Capital Expenditures (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquirePropertyPlantAndEquipment[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Sale of Businesses and Disposal of Property, Plant and Equipment, Net</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SaleOfBusinessesAndDisposalOfPropertyPlantAndEquipmentNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Purchase of Businesses, Net (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireBusinessesAndInterestInAffiliates[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Purchase of Short-term Investments (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Proceeds from Sale of Short-term Investments</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromSaleOfShortTermInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Sales of Equity Investments and Available-for-sale Investments</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SalesOfEquityInvestmentsAndAvailableforsaleInvestments[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Equity Investments and Other, Net (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsToAcquireEquityMethodInvestments[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Net Cash Provided by (Used in) Investing Activities, Continuing Operations, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Cash Provided by (Used in) Investing Activities, Discontinued Operations</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInInvestingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Net Cash Provided by (Used in) Investing Activities, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInInvestingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Net Cash Provided by (Used in) Financing Activities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Net Cash Provided by (Used in) Financing Activities, Continuing Operations [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Proceeds from Issuance of Long-term Debt and Capital Securities, Net</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfLongTermDebtAndCapitalSecuritiesNet[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Payments of Long-term Debt and Capital Lease Liabilities (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:RepaymentsOfLongTermDebtAndCapitalSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Proceeds from Issuance of Common Stock</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromIssuanceOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Purchases of Treasury Stock (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfCommonStock[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Repurchase of Trust Preferred Securities (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[@contextRef = 'TwelveMonthsEnded_31Dec2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsForRepurchaseOfTrustPreferredSecurities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Cash Dividends Paid (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PaymentsOfDividends[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Proceeds from Stock Options Exercised</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromStockOptionsExercised[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Excess Tax Benefit from Share-based Compensation, Financing Activities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ExcessTaxBenefitFromShareBasedCompensationFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Proceeds from (Payments for) Other Financing Activities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ProceedsFromPaymentsForOtherFinancingActivities[@contextRef = 'TwelveMonthsEnded_31Dec2004']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Net Cash Provided by (Used in) Financing Activities, Continuing Operations, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivitiesContinuingOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Cash Provided by (Used in) Financing Activities, Discontinued Operations</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[@contextRef = 'TwelveMonthsEnded_31Dec2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashProvidedByUsedInFinancingActivitiesDiscontinuedOperations[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Net Cash Provided by (Used in) Financing Activities, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:NetCashProvidedByUsedInFinancingActivities[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Cash and Cash Equivalents, Period Increase (Decrease), Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsPeriodIncreaseDecrease[(@contextRef = 'TwelveMonthsEnded_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="5">Cash and Cash Equivalents, at Carrying Value, Beginning Balance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2003') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2003') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2003') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="5">Cash and Cash Equivalents, at Carrying Value, Ending Balance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2006') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2005') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2004') and (@unitRef = 'USD')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CashAndCashEquivalentsAtCarryingValue[(@contextRef = 'BalanceAsOf_31Dec2004') and (@unitRef = 'USD')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
</xsl:template>
<xsl:template name="table4">
<div class="header">
<div class="pagetitle">
<div class="normal">000060 - Disclosure - Notes to Consolidated Statements - OXY</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 830.0px;">
<caption class="value">
<div class="caption">(In millions, except per-share amounts)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 100.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 700.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="2">Notes to the Consolidated Consolidated Statements [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Significant Accounting Policies [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SignificantAccountingPoliciesTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SignificantAccountingPoliciesTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SignificantAccountingPoliciesTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Business Combinations and Asset Acquisitions and Dispositions [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:BusinessCombinationsAndAssetAcquisitionsAndDispositionsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:BusinessCombinationsAndAssetAcquisitionsAndDispositionsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:BusinessCombinationsAndAssetAcquisitionsAndDispositionsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Schedule of New Accounting Pronouncements and Changes in Accounting Principles [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfNewAccountingPronouncementsAndChangesInAccountingPrinciplesTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfNewAccountingPronouncementsAndChangesInAccountingPrinciplesTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfNewAccountingPronouncementsAndChangesInAccountingPrinciplesTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Inventory Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:InventoryDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Debt Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DebtDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DebtDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DebtDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Lease Commitments [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:LeaseCommitmentsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:LeaseCommitmentsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:LeaseCommitmentsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Derivative Instruments and Hedging Activities Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DerivativeInstrumentsAndHedgingActivitiesDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DerivativeInstrumentsAndHedgingActivitiesDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DerivativeInstrumentsAndHedgingActivitiesDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Environmental Loss Contingency Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalLossContingencyDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalLossContingencyDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:EnvironmentalLossContingencyDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Commitments and Contingencies Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommitmentsAndContingenciesDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommitmentsAndContingenciesDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CommitmentsAndContingenciesDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Income Tax Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Stockholders' Equity and Earnings Per Share [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:StockholdersEquityAndEarningsPerShareTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:StockholdersEquityAndEarningsPerShareTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:StockholdersEquityAndEarningsPerShareTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Disclosure of Compensation Related Costs, Share-based Payments [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Pension and Other Postretirement Benefits Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PensionAndOtherPostretirementBenefitsDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PensionAndOtherPostretirementBenefitsDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:PensionAndOtherPostretirementBenefitsDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Investments and Related Party Transactions [Text Block] </td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:InvestmentsAndRelatedPartyTransactionsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:InvestmentsAndRelatedPartyTransactionsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:InvestmentsAndRelatedPartyTransactionsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Segment Reporting Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SegmentReportingDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SegmentReportingDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SegmentReportingDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Schedule of Condensed Financial Statements [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfCondensedFinancialStatementsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfCondensedFinancialStatementsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfCondensedFinancialStatementsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Schedule of Subsequent Events [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfSubsequentEventsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfSubsequentEventsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfSubsequentEventsTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Oil and Gas Exploration and Production Industries Disclosures [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OilAndGasExplorationAndProductionIndustriesDisclosuresTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OilAndGasExplorationAndProductionIndustriesDisclosuresTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:OilAndGasExplorationAndProductionIndustriesDisclosuresTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Quarterly Financial Information [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:QuarterlyFinancialInformationTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:QuarterlyFinancialInformationTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:QuarterlyFinancialInformationTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="1">Supplemental Oil and Gas Information [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SupplementalOilAndGasInformationTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SupplementalOilAndGasInformationTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/oxy:SupplementalOilAndGasInformationTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="1">Schedule of Valuation and Qualifying Accounts Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfValuationAndQualifyingAccountsDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfValuationAndQualifyingAccountsDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:ScheduleOfValuationAndQualifyingAccountsDisclosureTextBlock[(@contextRef = 'TwelveMonthsEnded_31Dec2006')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
<hr/>
<div class="footer">Wed Apr 30 12:51:03 EDT 2008, Generated by Fujitsu Instance Creator</div>
</xsl:template>
</xsl:stylesheet>
