<?xml version="1.0"?>
<!-- (c) 2008 XBRL US Inc. All Rights Reserved. http://xbrl.us/ 
     This document may be copied and furnished to others, and derivative works that 
     comment on or otherwise explain it or assist in its implementation may be 
     prepared, copied, published and distributed, in whole or in part, without 
     restriction of any kind, provided that the above copyright notice and this
     paragraph are included on all such copies and derivative works.  XBRL is a
     registered trademark of AICPA licensed exclusively to XBRL International. -->
<xsl:stylesheet version="1.0" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrll="http://www.xbrl.org/2003/linkbase" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:us-gaap="http://xbrl.us/us-gaap/2008-03-31" xmlns:pzza="http://xbrl.papajohns.com/pzza/2007-12-30">
<xsl:template match="/">
<html>
<head>
<style type="text/css">/* Created By Fujitsu Instance Creator Reporting Module */

body { margin-top: 10px; padding: 5px; background-color: white; }
table.value { padding: 5px; margin: 5px; border-collapse: collapse; border-spacing: 0px; border: 0px none white; border-top: 2px solid black;  border-bottom: 2px solid black;  font-family: "Arial", "Verdana", "sans-serif"; margin-left:auto; margin-right:auto; }
table.footnote {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; }
table.otherinfo {  padding: 0px; margin: 5px; border: 0px none black; font-family: "Arial", "Verdana", "sans-serif"; border-spacing: 5px;}

tr.row1 { border: 0px none black; padding: 0px; margin:0px; background-color: white; border-bottom: 1px solid #e0e0e0;} 
tr.row2 { border: 0px none black; padding: 0px; margin:0px; background-color: #f0f0ff; border-bottom: 1px solid #e0e0e0;} 
tr.lastrow { border: 0px none black; padding: 0px; margin:0px; background-color: white; height: 8px;} 
caption.value { caption-side: top; }

th.indent { padding: 0px 0px 0px 2px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.label { padding: 0px 0px 0px 0px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.value { padding: 5px 0px 5px 0px; margin:0px; border-bottom: 1px solid black; border-left: 5px solid #ffffff; font-size: 13px; text-align: center; }
th.space { } 

td.indent { padding: 0px 0px 2px 0px; margin:0px; font-size: 12px; } 
td.label { padding: 3px 0px 1px 5px; margin:0px; font-size: 12px; text-align: left; } 
td.value { text-align: center;  margin: 0px; padding: 3px 0px 1px 2px; font-size: 12px; }
td.space { } 

div.main { text-align: center; }
div.header { text-align: center; }
div.nil { text-align: center; }
div.numeric { text-align: right; padding-right: 3px; }
div.nonnumeric { text-align: left; padding-left: 3px;  }
.calcerror { color: red; font-weight: bold; }

.topborder { border-top: 1px solid black; }
.bottomborder { border-bottom: 1px solid black; }

span.footnote { margin-right : 10px; }

a.link_value_footnote { }
a.link_footnote_value { }

td.footnote_no { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; text-align: right; width:30px;}
td.footnote_content { vertical-align: top;  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px;}
td.footnote_link {  border: 0px none black; padding: 3px; margin:0px; font-size: 13px; width: 700px; }

td.otherinfo { color: #000070; border: 0px none black; padding: 1px 5px 1px 5px; margin: 1px 5px 1px 5px; vertical-align: top; font-size: 8pt;}

div.pagetitle { text-align: center; font-family: "Arial", "Verdana", "sans-serif"; font-size: 16pt; font-weight: bold; margin: 25px 5px 25px 5px; }
div.normal { border: 0px none black; padding: 0px; margin:0px; }
div.caption { border: 0px none black; padding: 0px; margin:0px; font-size: 12px; text-align: left; }
div.footnote_title { text-align: left; font-family: "Arial", "Verdana", "sans-serif"; font-size: 13pt; font-weight: bold; margin: 5px 5px 5px 5px; }
div.footer { font-family: "Arial", "Verdana", "sans-serif"; font-size: 10pt; text-align: right;}

</style>
</head>
<body>
<xsl:call-template name="table0"/>
</body>
</html>
</xsl:template>
<xsl:template name="getValueBorderClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">noborder</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueCellClass">
 <xsl:param name="nodeset"/>
 <xsl:param name="class"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0">emptyvalue</xsl:when>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">nil</xsl:when>
  <xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="getValueString">
 <xsl:param name="nodeset"/>
 <xsl:param name="format"/>

 <xsl:choose>
  <xsl:when test="count($nodeset) = 0"/>
  <xsl:when test="$nodeset[1]/@xsi:nil = 'true'">
   <xsl:choose>
    <xsl:when test="$nodeset[1]/@id">
     <xsl:variable name="content">
      <xsl:call-template name="getFootnoteContent">
       <xsl:with-param name="id" select="$nodeset[1]/@id"/>
      </xsl:call-template>
     </xsl:variable>
     <xsl:choose>
      <xsl:when test="$content = ''">-</xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="$content"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:when>
    <xsl:otherwise>-</xsl:otherwise>
   </xsl:choose>
  </xsl:when>
    <xsl:when test="$format = 'format0'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string($nodeset)"/>
    <xsl:with-param name="pattern" select="'#,##0.##;(#,##0.##)'"/>
    <xsl:with-param name="unit" select="1000"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="$format = 'negatedFormat0'">
<xsl:call-template name="formatNumericValue">
    <xsl:with-param name="value" select="string(- number($nodeset))"/>
    <xsl:with-param name="pattern" select="'#,##0.##;(#,##0.##)'"/>
    <xsl:with-param name="unit" select="1000"/>
   </xsl:call-template>
  </xsl:when>

  <xsl:otherwise>
    <!-- <xsl:value-of select="$nodeset"/> -->
    <xsl:call-template name="forceNewlines">
      <xsl:with-param name="value" select="string($nodeset)"/>
    </xsl:call-template>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="forceNewlines">
	<xsl:param name="value"/>
	<xsl:variable name="tail" select="substring-after($value,'&#10;')"/>
	<xsl:choose>
		<xsl:when test="contains($value,'&#10;') and string-length($tail)&gt;0">
			<xsl:value-of select="substring-before($value,'&#10;')"/>
			<xsl:element name="br"/>
			<xsl:call-template name="forceNewlines">
				<xsl:with-param name="value" select="$tail"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$value"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="formatNumericValue">
 <xsl:param name="value"/>
 <xsl:param name="pattern"/>
 <xsl:param name="unit"/>

 <xsl:value-of select="format-number(number($value) div $unit, $pattern)"/>
</xsl:template>

<!-- footnote -->
<xsl:template name="insertFootnoteContents">
 <xsl:for-each select="/descendant::*[namespace-uri() != 'http://www.xbrl.org/2003/instance'][@id]">
  <xsl:call-template name="getFootnoteContent">
   <xsl:with-param name="id" select="string(@id)"/>
  </xsl:call-template>
 </xsl:for-each>
</xsl:template>

<xsl:template name="getFootnoteContent">
 <xsl:param name="id"/>
 <xsl:for-each select="/*/xbrll:footnoteLink/xbrll:footnote[@xml:lang = 'en-US'][@xlink:label = /*/xbrll:footnoteLink/xbrll:footnoteArc[@xlink:from = /*/xbrll:footnoteLink/xbrll:loc[@xlink:href = concat('#', $id)]/@xlink:label]/@xlink:to]">
  <div>
   <xsl:for-each select="./node()">
    <xsl:call-template name="copyXHTMLNode">
     <xsl:with-param name="node" select="."/>
    </xsl:call-template>
   </xsl:for-each>
  </div>
 </xsl:for-each>
</xsl:template>

<xsl:template name="copyXHTMLNode">
 <xsl:param name="node"/>
 <xsl:choose>
  <xsl:when test="$node/self::*">
   <xsl:element name="{local-name($node)}">
    <xsl:copy-of select="$node/@*"/>
    <xsl:for-each select="$node/node()">
     <xsl:call-template name="copyXHTMLNode">
      <xsl:with-param name="node" select="."/>
     </xsl:call-template>
    </xsl:for-each>
   </xsl:element>
  </xsl:when>
  <xsl:otherwise>
   <xsl:copy-of select="$node"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>
<xsl:template name="table0">
<div class="header">
<div class="pagetitle">
<div class="normal">006150 - Disclosure - Note 15, Notes to Consolidated Financials</div>
</div>
</div>
<div class="main">
<table class="value" style="width : 1290.0px;">
<caption class="value">
<div class="caption">(in thousands)</div>
</caption>
<colgroup>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 20.0px; "/>
<col style="width : 250.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 220.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 220.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 220.0px; "/>
<col style="width : 10.0px; "/>
<col style="width : 220.0px; "/>
</colgroup>
<tr>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="indent"/>
<th colspan="1" rowspan="1" class="label"/>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2007</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2007</div>
<div class="normal">Previously Reported</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2006</div>
</th>
<th colspan="1" rowspan="1" class="space"/>
<th colspan="1" rowspan="1" class="value">
<div class="normal">2005</div>
</th>
</tr>
<tr class="row1">
<td class="label" colspan="7">Notes To Consolidated Financials [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="6">Income Tax Disclosure [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[(@contextRef = 'd-2007')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = '']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxDisclosureTextBlock[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="6">Income Tax Expense (Benefit), Continuing Operations [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Current Federal Tax Expense (Benefit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentFederalTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Current Foreign Tax Expense (Benefit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentForeignTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Current State and Local Tax Expense (Benefit)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:CurrentStateAndLocalTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Deferred Income Tax Expense (Benefit), Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredIncomeTaxExpenseBenefit[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Expense (Benefit), Continuing Operations, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="6">Deferred Tax Assets (Liabilities), Net [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Deferred Tax Assets, Net [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Deferred Income</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsDeferredIncome[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Tax Deferred Expense, Reserves and Accruals, Accrued Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseReservesAndAccrualsAccruedLiabilities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Other Assets and Liabilities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:DeferredTaxAssetsOtherAssetsLiabilities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = 'i-2006-12-31']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = 'i-2006-12-31']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = 'i-2006-12-31']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsDomestic[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Tax Deferred Expense, Compensation and Benefits, Share-based Compensation Cost</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsTaxDeferredExpenseCompensationAndBenefitsShareBasedCompensationCost[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Other</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOther[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsOperatingLossCarryforwardsForeign[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Valuation Allowance (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsValuationAllowance[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Assets, Net, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsNet[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Deferred Tax Liabilities [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Liabilities, Deferred Expense (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesDeferredExpense[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Liabilities, Property, Plant and Equipment (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesPropertyPlantAndEquipment[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Liabilities, Goodwill and Intangible Assets, Goodwill (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesGoodwillAndIntangibleAssetsGoodwill[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Liabilities, Other (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilitiesOther[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Deferred Tax Liabilities, Total (N)</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'negatedFormat0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxLiabilities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Deferred Tax Assets (Liabilities), Net, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:DeferredTaxAssetsLiabilitiesNet[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="6">Operating Loss Carryforwards [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Summary of Operating Loss Carryforwards [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[(@contextRef = 'd-2007')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = '']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfOperatingLossCarryforwardsTextBlock[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="6">Income Tax Expense (Benefit), Continuing Operations, Income Tax Reconciliation [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Reconciliation, Income Tax Expense (Benefit), at Federal Statutory Income Tax Rate</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationIncomeTaxExpenseBenefitAtFederalStatutoryIncomeTaxRate[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Reconciliation, State and Local Income Taxes</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationStateAndLocalIncomeTaxes[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Reconciliation, Foreign Income Tax Rate Differential</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationForeignIncomeTaxRateDifferential[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Reconciliation, Tax Settlements</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxReconciliationTaxSettlements[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Reconciliation, Tax Credits and Other</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:IncomeTaxReconcilationTaxCreditsOther[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Expense (Benefit), Continuing Operations, Total</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder bottomborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExpenseBenefitContinuingOperations[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="6">Summary of Deferred Tax Liability Not Recognized [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[(@contextRef = 'd-2007')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = '']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfDeferredTaxLiabilityNotRecognizedTextBlock[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="label" colspan="6">Income Tax Uncertainties [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Summary of Income Tax Contingencies [Text Block]</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2007']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2007']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2007']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = '']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = '']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:SummaryOfIncomeTaxContingenciesTextBlock[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="4">Income Tax Contingency [Table]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="3">Income Tax Contingency [Line Items]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="2">Reconciliation of Unrecognized Tax Benefits, Excluding Amounts Pertaining to Examined Tax Returns [Roll Forward]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Beginning Balance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31_Restated') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31_Restated') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31_Restated') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Cumulative Effect of Adoption of FIN 48</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = 'd-2007']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = 'd-2007']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = 'd-2007']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:CumulativeEffectAdoptionFIN48[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Increases Resulting from Current Period Tax Positions</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromCurrentPeriodTaxPositions[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Increases Resulting from Prior Period Tax Positions</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsIncreasesResultingFromPriorPeriodTaxPositions[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Reductions Resulting from Lapse of Applicable Statute of Limitations</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsReductionsResultingFromLapseOfApplicableStatuteOfLimitations[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Decreases Resulting from Settlements with Taxing Authorities</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefitsDecreasesResultingFromSettlementsWithTaxingAuthorities[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Increases (Decreases), Other</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/pzza:UnrecognizedTaxBenefitsIncreasesDecreasesOther[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="1">Unrecognized Tax Benefits, Ending Balance</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value topborder'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:UnrecognizedTaxBenefits[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="label" colspan="6">Income Tax Penalties and Interest [Abstract]</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
<td class="space"/>
<td class="value">
<div class="nonnumeric">
<br/>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Uncertainties, Policy</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[(@contextRef = 'd-2007')]"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[(@contextRef = 'd-2007')]"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = '']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = '']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = 'd-2006']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = 'd-2006']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = 'd-2005']"/>
   <xsl:with-param name="class" select="'nonnumeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxUncertaintiesPolicy[@contextRef = 'd-2005']"/>
  <xsl:with-param name="format" select="''"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row2">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Examination, Interest Expense</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2007') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2006') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationInterestExpense[(@contextRef = 'd-2005') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="row1">
<td class="indent"/>
<td class="indent"/>
<td class="label" colspan="5">Income Tax Examination, Penalties and Interest Accrued</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[(@contextRef = 'i-2007-12-30') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[(@contextRef = 'i-2006-12-31') and (@unitRef = 'usd')]"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
<td class="space"/>
<td> <xsl:attribute name="class">
  <xsl:call-template name="getValueBorderClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[@contextRef = '']"/>
   <xsl:with-param name="class" select="'value'"/>
  </xsl:call-template>
 </xsl:attribute>
<div> <xsl:attribute name="class">
  <xsl:call-template name="getValueCellClass">
   <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[@contextRef = '']"/>
   <xsl:with-param name="class" select="'numeric'"/>
  </xsl:call-template>
 </xsl:attribute>
 <xsl:call-template name="getValueString">
  <xsl:with-param name="nodeset" select="/xbrli:xbrl/us-gaap:IncomeTaxExaminationPenaltiesAndInterestAccrued[@contextRef = '']"/>
  <xsl:with-param name="format" select="'format0'"/>
 </xsl:call-template>
</div>
</td>
</tr>
<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</table>
</div>
<hr/>
<div class="footer">Thu May 01 02:52:02 EDT 2008, Generated by Fujitsu Instance Creator</div>
</xsl:template>
</xsl:stylesheet>
